module PersonalTechnologyTransfer
   class Engine < ::Rails::Engine
   initializer "personal_technology_transfer" do
		OrbitApp.registration "PersonalTechnologyTransfer",:type=> 'ModuleApp' do
			module_label 'module_name.technology_transfers'
			base_url File.expand_path File.dirname(__FILE__)
			personal_plugin :enable => true, :sort_number => '35', :app_name=>"TechnologyTransfer", :intro_app_name=>"TechnologyTransferIntro",:path=>"/plugin/personal_technology_transfer/profile",:front_path=>"/profile",:admin_path=>"/admin/technology_transfers/",:i18n=>'module_name.technology_transfers', :module_app_name=>'TechnologyTransfer', :field_modifiable => true, :analysis => true, :analysis_path => "/admin/technology_transfers/analysis"

			version "0.1"
			desktop_enabled true
			organization "Rulingcom"
			author "RD dep"
			intro "I am intro"
			update_info 'some update_info'
			frontend_enabled
			icon_class_no_sidebar "icons-user"
			data_count 1..10
		end
	end
  end
end
